Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.core
Class LoginCommandConfigProcessor

    java.lang.Object
      org.springframework.flex.core.LoginCommandConfigProcessor

All Implemented Interfaces:
  MessageBrokerConfigProcessor

    public class LoginCommandConfigProcessor

extends Object
implements MessageBrokerConfigProcessor

`MessageBrokerConfigProcessor` implementation that is responsible for configuring the current `MessageBroker`'s `LoginManager` with a Spring-managed `LoginCommand`.

Author:
  Jeremy Grelle

Constructor Summary
`LoginCommandConfigProcessor(LoginCommand loginCommand)`

Method Summary
`MessageBroker` | `processAfterStartup(MessageBroker broker)` Apply this config processor to the newly created `MessageBroker` after it and all of its services have been started but before it is available for use.
`MessageBroker` | `processBeforeStartup(MessageBroker broker)` Apply this config processor to the newly created `MessageBroker` after its intial configuration settings have been parsed from the BlazeDS XML configuration, but before it has actually been started.
`void` | `setPerClientAuthentication(boolean perClientAuthentication)` Configures the per-client authentication setting for the BlazeDS login manager

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginCommandConfigProcessor

    public LoginCommandConfigProcessor(LoginCommand loginCommand)

Method Detail

### processAfterStartup

    public MessageBroker processAfterStartup(MessageBroker broker)

  Apply this config processor to the newly created `MessageBroker` after it and all of its services have been started but before it is available for use.

  Specified by:
    `processAfterStartup` in interface `MessageBrokerConfigProcessor`
  Parameters:
    `broker` - the started `MessageBroker` instance
  Returns:
    the modified `MessageBroker`

### processBeforeStartup

    public MessageBroker processBeforeStartup(MessageBroker broker)

  Apply this config processor to the newly created `MessageBroker` after its intial configuration settings have been parsed from the BlazeDS XML configuration, but before it has actually been started.

  Specified by:
    `processBeforeStartup` in interface `MessageBrokerConfigProcessor`
  Parameters:
    `broker` - the new `MessageBroker` instance
  Returns:
    the modified `MessageBroker`

### setPerClientAuthentication

    public void setPerClientAuthentication(boolean perClientAuthentication)

  Configures the per-client authentication setting for the BlazeDS login manager

  Parameters:
    `perClientAuthentication` - true if per-client authentication is enabled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.